> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.pay4power.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.pay4power.com/_mcp/server.

# Vend

POST https://p4p-core-bill-payments-service.dev.payinvert.com/api/v2.1/b2b/b2b/data/vend
Content-Type: application/json

Completes a data bundle purchase and returns the final transaction status and fulfillment details.

Reference: https://docs.pay4power.com/data/vend

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /b2b/data/vend:
    post:
      operationId: vend
      summary: Vend
      description: >-
        Completes a data bundle purchase and returns the final transaction
        status and fulfillment details.
      tags:
        - subpackage_data
      parameters:
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Response with status 200
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  description: Any type
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties:
                description: Any type
servers:
  - url: https://p4p-core-bill-payments-service.dev.payinvert.com/api/v2.1/b2b
    description: Default
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

```

## Examples

**Request**

```json
{
  "package": "mtn-10mb-100",
  "receiver": "08011111111",
  "clientTransactionReference": "75F6CD621EB911F1A35EF6C3EF63228"
}
```

**Response**

```json
{
  "success": true,
  "message": "Mock data vend successful",
  "errors": null,
  "statusCode": 200,
  "correlationId": "04c45167-ee1e-4ebf-a3a5-7795267fd2e5",
  "data": {
    "status": "SUCCESS",
    "amount": 100,
    "package": "N100 100MB - 24 hrs",
    "receiver": "08011111111",
    "transactionId": "DAT-0000000000000422",
    "clientTransactionReference": "75F6CD621EB911F1A35EF6C3EF63228",
    "transactionDate": "2026-06-15T09:49:08.1851703",
    "provider": "MTN",
    "commission": {
      "commissionAmount": 0,
      "commissionPercentage": "0.00",
      "commissionCap": 1500,
      "isCustomRate": false
    }
  }
}
```